Bug 1945601 - attempting to delete a user name and password for "Upstream Authorization" fails
Summary: attempting to delete a user name and password for "Upstream Authorization" fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: Samir Jha
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks: 1984890
TreeView+ depends on / blocked
 
Reported: 2021-04-01 11:24 UTC by Stephen Wadeley
Modified: 2021-11-16 14:10 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-4.1.1.12-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:10:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33164 0 Normal New attempting to delete a user name and password for "Upstream Authorization" fails 2021-07-28 12:47:26 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:10:52 UTC

Description Stephen Wadeley 2021-04-01 11:24:44 UTC
Description of problem:

after migration to Pulp3:

attempting to delete a user name and password for "Upstream Authorization" fails


Version-Release number of selected component (if applicable):


How reproducible:
Unsure, will have to test on 6.8 systems and non-migrated 6.9 system

Steps to Reproduce:
1. Create and sync a file type repo which does not require user name and password
2. Add random user name and password for "Upstream Authorization"
3. Migrate to Pulp3
4. Delete user name and password for "Upstream Authorization"

Actual results:
Popup error:
An error occurred saving the Repository: Validation failed: Upstream password requires upstream username be set.


Expected results:

Repo changes should be saved


Additional info:
I used https://fixtures.pulpproject.org/file/ for this test

Its possible this is Firefox password manager related, but I did try twice to clear the fields.

Comment 1 Stephen Wadeley 2021-04-01 12:51:40 UTC
Hello

Further to above, I also saw this error when trying to sync the repo with the unnecessary user name and password on the migrated system:

[PEM: NO_START_LINE] no start line (_ssl.c:3656)

On a 6.9 snap 18 system not migrated to Pulp3, I could sync a file type repo with no errors while using unnecessary user name and password. 
I could not delete the user name and password.


On both systems I noticed that clicking the x icon to the right of "Upstream Authorization" would make the details disappear for just a moment, and "Repository Saved " was displayed, however the authentication details were back.

I tested on a Red Hat Satellite (build: 6.8.5) and the same errors occur as on the non-migrated Sat6.9 system. 
So no regressions have occurred.

Thank you

Comment 2 Stephen Wadeley 2021-04-01 14:16:49 UTC
Hello

testing with Chromium I got the same popup error when trying to clear the fields for user name and password:

An error occurred saving the Repository: Validation failed: Upstream password requires upstream username be set.

also same behaviour when trying to delete the settings using the x icon.

Will attach production.log

Thank you

Comment 4 Stephen Wadeley 2021-04-01 14:51:43 UTC
(In reply to Stephen Wadeley from comment #1)
> Hello
> 
> Further to above, I also saw this error when trying to sync the repo with
> the unnecessary user name and password on the migrated system:
> 
> [PEM: NO_START_LINE] no start line (_ssl.c:3656)
> 

Ignore that error, its unrelated, was due to some SSL certs I was testing with. That also means this is not pulp3 migration related.

Comment 5 Justin Sherrill 2021-07-28 12:47:24 UTC
Created redmine issue https://projects.theforeman.org/issues/33164 from this bug

Comment 8 Brad Buckingham 2021-08-23 16:46:21 UTC
Moving to POST as upstream PR merged! :)

Comment 13 errata-xmlrpc 2021-11-16 14:10:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.